curl --request PATCH \
--url https://api.creatoraudit.com/v2/accounts/{account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "fitness",
"is_active": false
}
'import requests
url = "https://api.creatoraudit.com/v2/accounts/{account_id}"
payload = {
"category": "fitness",
"is_active": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({category: 'fitness', is_active: false})
};
fetch('https://api.creatoraudit.com/v2/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "instagram",
"username": "<string>",
"type": "account",
"name": "<string>",
"description": "<string>",
"profile_pic_url": "<string>",
"profile_pic_url_original": "<string>",
"is_verified": false,
"is_active": true,
"is_unavailable": false,
"link_in_bio": "<string>",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creator_name": "<string>",
"category": "<string>",
"metadata": {},
"added_at": "2023-11-07T05:31:56Z",
"first_scrape_time": "2023-11-07T05:31:56Z",
"last_scrape_time": "2023-11-07T05:31:56Z",
"scrape_interval_hours": 24,
"follower_count": 0,
"following_count": 0,
"profile_post_count": 0,
"total_post_count": 0,
"view_count": 0,
"like_count": 0,
"comment_count": 0,
"share_count": 0,
"play_count": 0,
"saved_count": 123,
"fb_play_count": 123,
"ig_play_count": 123,
"fb_like_count": 123,
"max_recent_posts_per_account": 123,
"post_lookback_days": 123,
"effective_max_recent_posts_per_account": 123,
"effective_post_lookback_days": 123
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}Update an account
Update a tracked account’s settings.
account_id may be the account UUID or an @username (V2R-13). Only the fields you include are changed (partial update). Supports
pausing/resuming tracking (is_active), re-categorizing, editing
metadata, changing the scrape_interval_hours, linking or unlinking
a creator_id, and setting per-account tracking-limit overrides.
Returns the updated account; 404 if it is not tracked by your
organization.
curl --request PATCH \
--url https://api.creatoraudit.com/v2/accounts/{account_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"category": "fitness",
"is_active": false
}
'import requests
url = "https://api.creatoraudit.com/v2/accounts/{account_id}"
payload = {
"category": "fitness",
"is_active": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({category: 'fitness', is_active: false})
};
fetch('https://api.creatoraudit.com/v2/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platform": "instagram",
"username": "<string>",
"type": "account",
"name": "<string>",
"description": "<string>",
"profile_pic_url": "<string>",
"profile_pic_url_original": "<string>",
"is_verified": false,
"is_active": true,
"is_unavailable": false,
"link_in_bio": "<string>",
"creator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creator_name": "<string>",
"category": "<string>",
"metadata": {},
"added_at": "2023-11-07T05:31:56Z",
"first_scrape_time": "2023-11-07T05:31:56Z",
"last_scrape_time": "2023-11-07T05:31:56Z",
"scrape_interval_hours": 24,
"follower_count": 0,
"following_count": 0,
"profile_post_count": 0,
"total_post_count": 0,
"view_count": 0,
"like_count": 0,
"comment_count": 0,
"share_count": 0,
"play_count": 0,
"saved_count": 123,
"fb_play_count": 123,
"ig_play_count": 123,
"fb_like_count": 123,
"max_recent_posts_per_account": 123,
"post_lookback_days": 123,
"effective_max_recent_posts_per_account": 123,
"effective_post_lookback_days": 123
}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"code": "BAD_REQUEST",
"instance": "<string>",
"errors": [
{}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Account UUID or @username (V2R-13).
Body
Pause (false) or resume (true) tracking.
New category label.
128Replacement key/value tags (≤20 keys, ≤255 chars each).
New refresh cadence in hours (6–720).
6 <= x <= 720Link to this creator, or null to unlink.
Per-account recent-posts cap (50–5000); null inherits org default.
50 <= x <= 5000Per-account history window in days (90–7300); null inherits.
90 <= x <= 7300Response
Successful Response
A tracked Instagram or TikTok account with its latest engagement metrics and per-account tracking configuration.
Show child attributes
Show child attributes